/*
  https://www.hmgforum.com/viewtopic.php?f=24&t=6717&hilit=mustafa
  Aplicación By Mustafa López  - Alicante 2021 Spain
*/

#include <hmg.ch>
#include <hfcl.ch>
#include <dbstruct.ch>
#include <Camely.prg>
#include <ListHtml1.prg>
#include <ListHtml2.prg>
*-------------------------------------*
   REQUEST HB_CODEPAGE_ESWIN     
   HB_SETCODEPAGE("ESWIN")    
 
   REQUEST HB_LANG_ES   
   HB_LANGSELECT("ES")  

*-------------------------------------*
  FUNCTION MAIN
*-------------------------------------*

*-------------------------------------*
   REQUEST DBFCDX
   RDDSETDEFAULT( "DBFCDX" )
*-------------------------------------*

  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO UNICODE  
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
  SET DECIMALS TO 2
  SET TOOLTIPSTYLE BALLOON

*---------------------------------------------------------------------------------------------*                            
  PUBLIC PhotoFile , ficherAaX , Nuevo , Pict
  PUBLIC aFilters := { {'jpg Files','*.jpg'} }
*---------------------------------------------------------------------------------------------*
  PUBLIC PriNc0  := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\" 
  PUBLIC PriNc1  := HB_Curdrive() +":\"+Rtrim(Curdir() ) + "\Products" 
  PRIVATE cId  , cIdX , nid
*---------------------------------------------------------------------------------------------*
  
    DIRCHANGE( PriNc0 )
 
    IF FILE("store.html")
       FileDelete("store.html")
    ENDIF

        if ! file('store.dbf')
	     dbcreate("store", {{'ID','N',10,0},{'Name','C',45,0},{'Seller','C',45,0},{'Price','N',7,2},{'Vector','C',17,0}})
             use store
             dbappend()
             REPLACE ID      WITH 1
             REPLACE NAME    WITH "Horno Microondas"
             REPLACE SELLER  WITH "Anfonso "
             REPLACE PRICE   WITH 78.52
             REPLACE VECTOR  WITH "Products\0001.jpg"
	endif
      
	USE store
        PACK

    DEFINE WINDOW Form_1            ;
         AT 0,0                     ; 
	 WIDTH  615                 ; 
	 HEIGHT 635                 ;
         ICON "Logo"                ;
         MAIN                       ;
         NOSIZE NOSYSMENU NOCAPTION ;   
         BACKCOLOR {062,062,064}        
       
         ON KEY ESCAPE ACTION Closex() 

*----------------------------------------------------  Bolitas ------------------------------------------------------------*
        @ 004,593 IMAGE imag_00 PICTURE "Resource\ONx4.bmp" WIDTH 013 HEIGHT 013  STRETCH   
        @ 004,579 IMAGE imag_01 PICTURE "Resource\ONx3.bmp" WIDTH 013 HEIGHT 013  STRETCH   

        @ 004,593 IMAGE imag_00x PICTURE "Resource\ONx1.bmp" WIDTH 013 HEIGHT 013  STRETCH  
        @ 004,579 IMAGE imag_01x PICTURE "Resource\ONx2.bmp" WIDTH 013 HEIGHT 013  STRETCH  

*---------------------------------------------------- Controls ------------------------------------------------------------*
 
        @ 005,593 LABEL Label_00 VALUE "" WIDTH 011 HEIGHT 011  ACTION   Closex()    TOOLTIP "Exit"      TRANSPARENT  
        @ 005,579 LABEL Label_01 VALUE "" WIDTH 011 HEIGHT 011  ACTION   MiniMix()   TOOLTIP "Minimize"  TRANSPARENT   

*---------------------------------------------------- isInternet ? --------------------------------------------------------*
        Conexion() // <== Verifica - Check IsInternet ?
*--------------------------------------------------------------------------------------------------------------------------*  

        @ 005,32 LABEL inter3 VALUE "" WIDTH 057 HEIGHT 011  FONT "Arial" SIZE 8 BOLD BACKCOLOR {050,050,050} FONTCOLOR {177,176,174}  // <= Sin Segundos  WIDTH 27 

        DEFINE TIMER Timer_1 INTERVAL 1000 ACTION ( Form_1.inter3.Value := TIME() )   
      
*--------------------------------------------------------------------------------------------------------------------------*

        @ 021,015 IMAGE imag_80 PICTURE "Resource\Testa.jpg" WIDTH 585 HEIGHT 260  STRETCH 

        @ 108,265 IMAGE Button_00 PICTURE  "Resource\Imagen.jpg" WIDTH 027 HEIGHT 028  ACTION Search_Pic() STRETCH TOOLTIP "Search Pic" 

        @ 104,409 RICHEDITBOX Cuadro VALUE ""  WIDTH 106  HEIGHT 107   

        SETPROPERTY("Form_1","Cuadro","Enabled",.F.)   

        @ 110,415 IMAGE Foto PICTURE  "Products\0000.jpg" WIDTH 095 HEIGHT 095  STRETCH 

        @ 109,091 TEXTBOX TEXT_1  Value cId  DISABLEDBACKCOLOR {240,240,240} DISABLEDFONTCOLOR {096,092,092} WIDTH 090 HEIGHT 23 READONLY RIGHTALIGN  
        @ 109,305 TEXTBOX TEXT_1a Value ""   DISABLEDBACKCOLOR {240,240,240} DISABLEDFONTCOLOR {096,092,092} WIDTH 085 HEIGHT 23 READONLY  
        @ 149,091 TEXTBOX TEXT_2  Value ""           BACKCOLOR {240,240,240} FONTCOLOR         {096,092,092} WIDTH 200 HEIGHT 24 
        @ 184,091 TEXTBOX TEXT_3  Value ""           BACKCOLOR {240,240,240} FONTCOLOR         {096,092,092} WIDTH 200 HEIGHT 24
        @ 184,305 TEXTBOX TEXT_4  Value "0000.00"    BACKCOLOR {240,240,240} FONTCOLOR         {096,092,092} WIDTH 085 HEIGHT 24 InputMask("9999.99") RIGHTALIGN

        @ 241,056 LABEL Label_1 VALUE  "" WIDTH 086 HEIGHT 028  ACTION ClearNew()    TOOLTIP "New"    TRANSPARENT 
        @ 241,154 LABEL Label_2 VALUE  "" WIDTH 080 HEIGHT 028  ACTION Get_id()      TOOLTIP "Edit"   TRANSPARENT 
        @ 241,245 LABEL Label_3 VALUE  "" WIDTH 092 HEIGHT 028 ACTION FT_SaveNew()   TOOLTIP "Save"   TRANSPARENT 
        @ 241,345 LABEL Label_4 VALUE  "" WIDTH 102 HEIGHT 028  ACTION Borrax()      TOOLTIP "Delete" TRANSPARENT 
        @ 241,457 LABEL Label_5 VALUE  "" WIDTH 102 HEIGHT 028  ACTION Closex()      TOOLTIP "Exit"   TRANSPARENT 

        DEFINE ACTIVEX Activex_1
    	    ROW    281   
    	    COL    015
    	    WIDTH  585 
    	    HEIGHT 337  
    	    PROGID "shell.explorer.2"
    	END ACTIVEX

     load_data()

     Form_1.TEXT_2.SetFocus()


   END WINDOW

       Form_1.imag_00.Visible   := .T.
       Form_1.imag_00x.Visible  := .F.
       Form_1.imag_01.Visible   := .T.
       Form_1.imag_01x.Visible  := .F.
       Form_1.Button_00.Enabled := .F. 

       SETWINDOWCURSOR ( Form_1.Label_4.Handle , "Resource\SmoothHand.cur") 
       SETWINDOWCURSOR ( Form_1.Button_00.Handle , "Resource\SmoothHand.cur") 
   
   CENTER WINDOW Form_1
   ACTIVATE WINDOW Form_1

RETURN Nil


*-----------------------------*
Procedure demo_init()
*-----------------------------*

	local cFile := "file:///"+ getCurrentFolder()+"/store.html"
	Form_1.Activex_1.Object:Navigate( cFile )

Return Nil


*------------------------------*
Procedure load_data()  // => store.html
*------------------------------*

local cTexto	

      cTexto    := SPACE(1) + '<!DOCTYPE HTML>'       +  CRLF
      cTexto    += SPACE(2) + '<html lang="es">'      +  CRLF   //  <= Alternativa ? '<html>' +  CRLF
      cTexto	+= SPACE(3) + '<meta charset="utf-8">'+  CRLF
      cTexto	+= SPACE(3) + '<head>'                +  CRLF
      cTexto	+= SPACE(3) + '<title>Store</title>'   +  CRLF
      cTexto	+= SPACE(3) + '</head>'               +  CRLF
      cTexto	+= SPACE(3) + '<style>'               +  CRLF
      cTexto	+= SPACE(5) + 'body { font-family: "Open Sans", helvetica, arial }' +  CRLF
      cTexto	+= SPACE(5) + 'table { width: 550px; border-collapse: collapse;margin: 30px 0px 30pxcTexto +=;background-color: #fff;font-size: 14px;}'+ CRLF
      cTexto	+= SPACE(5) + 'table tr { height: 20px;}'+  CRLF  
      cTexto	+= SPACE(5) + 'table th { background: #333; color: #fff;font-weight: bold; font-size: 14px;}'+ CRLF  
      cTexto	+= SPACE(5) + 'table td, th { padding: 6px 6px 6px 10px;border: 1px solid #ccc;text-align:center;}'+ CRLF  
      cTexto	+= SPACE(5) + 'table tr:nth-of-type(odd) {background: #eee;}'+  CRLF 
      cTexto	+= SPACE(3) + '</style>'              +  CRLF
      cTexto	+= SPACE(3) + '<body><center>'        +  CRLF
      cTexto	+= SPACE(5) + '<table id="tabla" border solid black="1" width="100%">'+  CRLF
      cTexto	+= SPACE(5) + '<tr><th>Option</th>'   +  CRLF
      cTexto	+= SPACE(5) + '<th>Id</th>'           +  CRLF
      cTexto	+= SPACE(5) + '<th>Name</th>'         +  CRLF
      cTexto	+= SPACE(5) + '<th>Seller</th>'       +  CRLF
      cTexto	+= SPACE(5) + '<th>Price</th>'        +  CRLF 
      cTexto	+= SPACE(5) + '<th>Pic</th>'          +  CRLF 
      cTexto	+= SPACE(5) + '<th>Products</th>'     +  CRLF 

      SELECT 1
      USE store 
      store->( dbgotop() )

      do while ! store->( eof() )
	 cTexto	+= SPACE(5) + '<tr>'+  CRLF 
         cTexto	+= SPACE(5) + "  <td><input type='checkbox' style=cursor:pointer; cursor:hand ; id='"+str( store->ID)+"' Value = '"+str(store->ID)+"' /><td>"+ str(store->ID)+"</td>" +  CRLF
         cTexto	+= SPACE(5) + '  <td>'+ ALLTRIM( store->NAME ) +'</td>' +  CRLF
         cTexto	+= SPACE(5) + '  <td>'+ ALLTRIM( store->SELLER ) +'</td>' +  CRLF
         cTexto	+= SPACE(5) + '  <td>'+ SPACE(17) + ALLTRIM( TRANSFORM(store->PRICE,"@E 9,999,999.99")) + '</td>'+  CRLF
         cTexto	+= SPACE(5) + '  <td>'+ SubStr( ALLTRIM(store->VECTOR ),10,4) + '</td>'+  CRLF 
         cTexto	+= SPACE(5) + '  <td><img onclick='+'"'+'javascript:this.width=220;this.height=220'+'"'+'; style=cursor:pointer; onmouseenter='+'"'+'javascript:this.width=080;this.height=080'+'"'+' src='+'"'+ ALLTRIM( store->VECTOR) +'"'+' width='+'"'+'075'+'"'+'/></td>'+  CRLF 
         cTexto	+= SPACE(5) + '</tr>'+hb_osnewline()
	 store->( dbskip() )
      enddo	

      cTexto	+= SPACE(5) + '</table>'          + CRLF
      cTexto	+= SPACE(3) + '</center></body>'  + CRLF
      cTexto	+= SPACE(2) + '</html>'

      HB_MEMOWRIT ("store.html", ctexto )    

      IndexHtml1()
      IndexHtml2()

      demo_init()

Return Nil


*-----------------------------------------*
 FUNCTION FT_SaveNew()  
*-----------------------------------------*

 DIRCHANGE( PriNc0 )
	
 dbCloseall()
 USE ("store.dbf")
 store->( dbgotop() )
 locate for store->id = nId

 IF FOUND()

  * MsgStop("Registro Existe","Atención")

    Pict :=  "Products\"+ ALLTRIM(Form_1.TEXT_1a.Value)  + ".jpg"   

    REPLACE FIELD->NAME      WITH ALLTRIM( CamelCase( Form_1.TEXT_2.Value ,.T.,{'"'} ) )
    REPLACE FIELD->SELLER    WITH ALLTRIM( CamelCase( Form_1.TEXT_3.Value ,.T.,{'"'} ) )
    REPLACE FIELD->PRICE     WITH VAL(Form_1.TEXT_4.vALUE) 
    REPLACE FIELD->VECTOR    WITH Pict 

    load_data() 

    Form_1.TEXT_1.Value := "0"
    Form_1.TEXT_1a.Value := ""
    Form_1.TEXT_2.Value := ""
    Form_1.TEXT_3.Value := ""
    Form_1.TEXT_4.Value := "0000.00"
    Form_1.Foto.Picture  := "Products\0000.jpg"   

    Form_1.Button_00.Enabled := .F. 


 ELSE

 * MsgStop("Registro no Existe","Atención")

   dbGoBottom()

   cIdX := store->ID + 1
   cId  := ALLTRIM(STR(cIdX)) 

   Pict :=  "Products\"+ ALLTRIM(Form_1.TEXT_1a.Value)  + ".jpg"   
 
   IF ALLTRIM(Form_1.TEXT_1a.Value) <= " "
       Pict := "Products\0000.jpg"   
   endif

   dbAppend()  
   REPLACE FIELD->ID        WITH VAL(ALLTRIM(cId)) 
   REPLACE FIELD->NAME      WITH ALLTRIM( CamelCase( Form_1.TEXT_2.Value ,.T.,{'"'} ))   
   REPLACE FIELD->SELLER    WITH ALLTRIM( CamelCase( Form_1.TEXT_3.Value ,.T.,{'"'} ))   
   REPLACE FIELD->PRICE     WITH VAL(Form_1.TEXT_4.vALUE) 
   REPLACE FIELD->VECTOR    WITH Pict 
 
   COMMIT
 
   load_data() 

   Form_1.TEXT_1.Value  := "0"
   Form_1.TEXT_1a.Value := ""
   Form_1.TEXT_2.Value  := ""
   Form_1.TEXT_3.Value  := ""
   Form_1.TEXT_4.Value  := "0000.00"
   Form_1.Foto.Picture  := "Products\0000.jpg"   


   Form_1.Button_00.Enabled := .F. 

 ENDIF


RETURN NIL 


*-------------------------------------------------*
 FUNCTION Borrax()  // AntesDelet() <== Delete Confirmar
*-------------------------------------------------*

       nId := get_id2()

       if nId <= 0     // <== No Registro Selección
          Return Nil
       endif

        Define window Form_2   ;
           ROW    000          ; 
	   COL    000          ;
	   WIDTH  340          ;  
	   HEIGHT 228          ;  
           MODAL               ;  
           NOSIZE NOSYSMENU NOCAPTION ;  
           BACKCOLOR {050,050,050 }   ;
           ON PAINT Proc_ON_PAINT6()  ;
   
           ON KEY ESCAPE ACTION  Form_2.Release
 
           @ 029,035 IMAGE Fondo_02x  PICTURE 'Resource\Sim_05.jpg' WIDTH 41 HEIGHT 41  STRETCH  
           @ 032,113 LABEL Label_16x VALUE "Delete This Record ? " FONT "Arial" SIZE 12 BACKCOLOR {050,050,050 } FONTCOLOR {177,176,174} WIDTH 150 HEIGHT 028  
 
           @ 029,035 IMAGE Fondo_02q  PICTURE 'Resource\Sim_05.jpg' WIDTH 41 HEIGHT 41  STRETCH  
           @ 032,113 LABEL Label_16q VALUE "Delete This Record ? " FONT "Arial" SIZE 12 BACKCOLOR {050,050,050 } FONTCOLOR {177,176,174} WIDTH 150 HEIGHT 028  

          if nId > 0
             LOCATE FOR store->ID == nId
    
             IF found()
                go nid 
           
                @ 064,113 LABEL Label_16 VALUE  "Id:  " + SPACE(7) + ALLTRIM(STR(nid ) )     BACKCOLOR {050,050,050 } FONTCOLOR {177,176,174} WIDTH 078 HEIGHT 028  
                @ 086,113 LABEL Label_17 VALUE  "Name:  " + ALLTRIM(store->NAME)             BACKCOLOR {050,050,050 } FONTCOLOR {177,176,174} WIDTH 210 HEIGHT 028  
                @ 114,113 LABEL Label_18 VALUE  "Seller:   " +  ALLTRIM(store->SELLER  )     BACKCOLOR {050,050,050 } FONTCOLOR {177,176,174} WIDTH 210 HEIGHT 028  
                @ 144,113 LABEL Label_19 VALUE  "Price:    " +ALLTRIM( TRANSFORM(store->PRICE,"@E 9,999,999.99"))  BACKCOLOR {050,050,050 } FONTCOLOR {177,176,174} WIDTH 210 HEIGHT 028         
             ENDIF
           endif  


           @ 177,119 LABEL Label_20 VALUE  "" WIDTH 086 HEIGHT 025  ACTION ( BorraD() , Form_2.Release )     TOOLTIP "Delete" TRANSPARENT 
           @ 177,213 LABEL Label_21 VALUE  "" WIDTH 086 HEIGHT 025  ACTION ( load_data() , Form_2.Release )  TOOLTIP "Cancel" TRANSPARENT  
 

    End Window

     Form_2.Center
     Form_2.activate


 retu nil


*------------------------------*
 procedure borraD()
*------------------------------*

         nId	:= get_id2()
	
	if nId > 0
			locate for store->id = nId
			if store->( found() )
				store->( dbdelete() )
				load_data()
			endif
	endif

    Form_1.TEXT_1.Value := "0"
    Form_1.TEXT_1a.Value := ""
    Form_1.TEXT_2.Value := ""
    Form_1.TEXT_3.Value := ""
    Form_1.TEXT_4.Value := "0000.00"
    Form_1.Foto.Picture  := "Products\0000.jpg" 

    Form_1.Button_00.Enabled := .F. 
	
return

*--------------------------------*
Function ClearNew()
*--------------------------------*

    load_data()   

    dbCloseall()
    USE ("store.dbf") 
    dbGoBottom()

    Idux :=  store->ID + 1 

    Form_1.TEXT_1.Value  := ALLTRIM(STR(Idux)) 
    Form_1.TEXT_1a.Value := ""
    Form_1.TEXT_2.Value  := ""
    Form_1.TEXT_3.Value  := ""
    Form_1.TEXT_4.Value  := "0000.00"
    Form_1.Foto.Picture  := "Products\0000.jpg"   

    Form_1.Button_00.Enabled := .T. 

    Form_1.TEXT_2.SetFocus()


Return Nil



*--------------------------------*
Function Get_id()
*--------------------------------*


	local 	cFile 	:= "file:///"+getCurrentFolder()+"/store.html"
        local   nTil

        nid	:= get_id2()
	
	if nId > 0
		store->( dbgotop() )
		locate for store->id = nId
	endif

       Form_1.Foto.Picture  := "Products\0000.jpg"   
       Form_1.Button_00.Enabled := .T. 

       Form_1.TEXT_1.Value := ALLTRIM(STR( store->ID ) )
       Form_1.TEXT_2.Value := store->NAME
       Form_1.TEXT_3.Value := store->SELLER
       Form_1.TEXT_4.Value := str( store->PRICE )
       Form_1.TEXT_1a.Value := SubStr( STORE->VECTOR ,10,4 )     
       Form_1.Foto.Picture  := STORE->VECTOR

Return


*--------------------------------*
Function get_id2()
*--------------------------------*

	local nId := 0
	local cValor := ""
	store->( dbgotop() )
	do while ! store->( eof() )
		if Form_1.Activex_1.object:document:getElementById( str( store->id ) ):checked
			cValor	:= Form_1.Activex_1.object:document:getElementById( str( store->id ) ):Value
			if Len( Alltrim( cValor ) ) > 0
				nId	:= Val( cValor )
				store->( dbgobottom() )
			endif
		endif
		store->( dbskip() )
	enddo


return nId


*-----------------------------------------------------------------------*
FUNCTION Search_Pic()    // Cargar Photo
*-----------------------------------------------------------------------*

  DIRCHANGE( PriNc1 )

  PhotoFile := Getfile ( { {'All Files','*.*'} } , 'Select Photo' , 'Products\' , .F. , .T. )

*-----------------------------------------------------------------------*

 IF .NOT. FILE ( PhotoFile )
     MsgInfo("No se ha elejido Photo "," ATENCION !!!")
     DIRCHANGE( PriNc0 )
     RETURN
 ENDIF

*------------------------------------------------------------------------*
*------------------------------------------------------------------------*
   ficherAaX := RIGHT( PhotoFile , LEN(PhotoFile) - RAT("\", PhotoFile ))
*--------------------- Calcula Longitud Fichero jpg ---------------------*
   Nuevo  :=  LEFT (ficherAaX, LEN( ficherAaX ) - 4 )
   Nuevox :=  ALLTRIM(Nuevo)+".jpg"  

   DIRCHANGE( PriNc0 )

   Form_1.TEXT_1a.Value := ALLTRIM(NUEVO)  //  "Products\"+ALLTRIM(Nuevo)+".jpg"
   Form_1.Foto.Picture  := "Products\"+ALLTRIM(Nuevo)+".jpg"

   DIRCHANGE( PriNc0 )


Return Nil

*-----------------------------------------*
FUNCTION Conexion()   // <== Verifica - Check IsInternet ?
*-----------------------------------------*

 DIRCHANGE( PriNc0 )

 DECLARE WINDOW Form_1

      IF !isInternet()
	 @ 004,010 IMAGE inter2 PICTURE "Resource\InternetNO.jpg" WIDTH 016 HEIGHT 014  STRETCH 
      ELSE
         @ 004,010 IMAGE inter2 PICTURE "Resource\InternetSI.jpg" WIDTH 016 HEIGHT 014  STRETCH 
      ENDIF

Return Nil

*-----------------------------------------------*
FUNCTION Closex()    // <== Exit para Bolitas 
*-----------------------------------------------*
  Form_1.imag_00 .Visible   := .F.
  Form_1.imag_00x .Visible  := .T.
  INKEY(0.99)

  dbCloseAll()
     IndexHtml1()  
  dbCloseAll()
     IndexHtml2()  
  dbCloseAll()

  IF FILE("store.html")
     FileDelete("store.html")
  ENDIF
 
  Form_1.Release 
 
 Return Nil 
*------------------------------------------------*
 FUNCTION MiniMix()  // <== Minimize para Bolitas
*------------------------------------------------*
  Form_1.imag_01.Visible  := .F.
  Form_1.imag_01x.Visible := .T.
  INKEY(0.99) 
  Form_1.imag_01x.Visible := .F.
  Form_1.imag_01.Visible  := .T. 
  Form_1.Minimize 

 Return Nil 

*--------------------------------------*
 PROCEDURE Proc_ON_PAINT6()    //<== Pantalla Delete 
*--------------------------------------*

 LOCAL hDC1,BTstruct
 LOCAL cText01,cText02

*------------------------------------------------------------------------------------------------------------*

   hDC1 = BT_CreateDC ("Form_2", BT_HDC_INVALIDCLIENTAREA, @BTstruct)

   nTypeText  := BT_TEXT_OPAQUE + BT_TEXT_BOLD 
   nAlingText := BT_TEXT_LEFT + BT_TEXT_TOP

*---------------------------------------------  Botones Inicio -----------------------------------------------*

   BT_DrawFillRoundRect (hDC1, 175, 119, 088, 27, 10, 10,{077,077,080} ,{227,173,094} , 1)
   BT_DrawFillRoundRect (hDC1, 175, 213, 088, 27, 10, 10,{077,077,080} ,{227,173,094} , 1)
  
   cText01 := " Ok" 
   cText02 := "Cancel " 
   

   BT_DrawText (hDC1, 180, 152, cText01 , "Arial", 9 ,{177,176,174} , {077,077,080}, nTypeText, nAlingText)
   BT_DrawText (hDC1, 180, 237, cText02 , "Arial", 9 ,{177,176,174} , {077,077,080}, nTypeText, nAlingText)
 
   BT_DrawRectangle (hDC1, 05,05, 328, 216, GRAY, 1)  

   BT_DeleteDC (BTstruct)

RETURN

*-----------------------------------------*
FUNCTION isInternet() // Internet ?
*-----------------------------------------*

RETURN InternetCheckConnection( "https://www.google.com" )

*************************************************************************************
#pragma BEGINDUMP
#include <hbapi.h>
#include <windows.h>
#include <wininet.h>
#define FLAG_ICC_FORCE_CONNECTION    0x00000001

HB_FUNC( INTERNETCHECKCONNECTION )
{
   const char * cUrl = hb_parc( 1 );
   hb_retl( (HB_BOOL) InternetCheckConnection( cUrl, FLAG_ICC_FORCE_CONNECTION, 0 ) );
}
#pragma ENDDUMP

**************************************************************************************


*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*-_._-*






